{% load static %}
<!DOCTYPE html> 
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap dan CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <!-- Ajax dan Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <title>ZonaHijau</title>
    <link rel="icon" href="{% static 'icon.png'%}" type="icon">
    {% include 'navbar.html' %}
</head>

<body style="background-image: url('/static/pattern-randomized.svg');">
    <!--CONTAINER1: Introduction-->
    <section class="container zona">
        <div class="row">
            <div class="col-md-7 col-sm-12" style="margin-top: 130px;">
                <h1 style="font-weight: 800; font-size: 60px; color: rgb(36, 77, 45);">ZONA HIJAU</h1>
                </br>
                <h5 style="font-size: 20px; text-align: justify; line-height: 1.6;"> 
                    Zona Hijau adalah suatu web yang didesain khusus untuk membantu masyarakat Indonesia mengetahui kondisi terkait
                    persebaran Covid-19 serta meningkatkan pemahaman pengguna terhadap virus Covid-19.
                </h5>
            </div>
            <div class="col-md-5 col-sm-10" style="margin-top: 20px; margin-bottom: 70px;">
                <center>
                    <img src="{% static 'mask3.png' %}" style="width:500px; height: 400px;">
                </center>
            </div>
        </div>
    </section>
    
    <!-- Displaying Data -->
    <section style="background-color: rgb(188, 237, 214);">
        <!-- Data Covid Indonesia dflex: ke samping-->
        <div class="container"> 
            <h2 style="font-weight: 800; font-size: 55px; text-align: center; padding-top: 5rem; color: rgb(36, 77, 45);">
                COVID-19 DI INDONESIA
            </h2>
            <center>
                <div class="col-md-10 col-sm-12" style="margin-bottom:2rem;">
                    <h4 style="text-align: center; font-size: 18px;">
                        Berikut adalah data terkini kasus Covid-19 di Indonesia beserta detail informasi kasus
                        di tiap 34 provinsi yang ada. Ayo segera lakukan vaksinasi dan jangan lupa untuk selalu
                        menerapkan protokol kesehatan guna menekan angka kasus Covid-19 baru di Indonesia.
                    </h4>
                </div>
            </center>
            
            <div class="d-flex flex-md-row flex-wrap justify-content-center" style="font-weight: 800; color: white;">
                {% for element in data2 %}
                <div class="card-1">
                    <h3> {{element.positif}}</h3>
                    <p style="font-size: 20px;">Positif</p>
                </div>
                <div class="card-1">
                    <h3>{{element.sembuh}}</h3>
                    <p style="font-size: 20px;">Sembuh</p>
                </div>
                <div class="card-1">
                    <h3>{{element.dirawat}}</h3>
                    <p style="font-size: 20px;">Dirawat</p>
                </div>
                <div class="card-1">
                    <h3>{{element.meninggal}}</h3>
                    <p style="font-size: 20px;">Meninggal</p>
                </div>
                {% endfor %}
            </div>

            <!-- Data Covid Provinsi Pilihan -->
            <br/>
            <div id="loadedData" class="d-flex flex-md-row flex-wrap justify-content-center">
                {% for daerah in data %}
                <div class="card box">
                    <h5 class="card-title" style="font-weight: 800;"> {{daerah.provinsi}}</h5>
                    <p class="card-text">Positif: {{daerah.kasus}}</p>
                    <p>Sembuh: {{daerah.sembuh}}</p>
                    <p>Meninggal: {{daerah.meninggal}}</p>
                </div>
                {% endfor %}
            </div>
            <div class="row" style="justify-content: center; margin-top: 30px;">
                <button id="load" limit="4" total="34" class="btn btn-dark btn-sm" style="margin-bottom: 30px;">Load More</button> 
            </div>
        </div>
    </section>

    <!-- Kritik dan Saran Pengguna -->
    <div class="wrapper">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320"><path fill="#BCEDD6" fill-opacity="1" d="M0,96L80,106.7C160,117,320,139,480,128C640,117,800,75,960,96C1120,117,1280,203,1360,245.3L1440,288L1440,0L1360,0C1280,0,1120,0,960,0C800,0,640,0,480,0C320,0,160,0,80,0L0,0Z"></path></svg>
        <h1 style="font-weight: 800; font-size: 60px; text-align: center; color: rgb(36, 77, 45);"> 
            GIVE YOUR
        </h1>
        <h1 style="font-weight: 800; font-size: 60px; text-align: center; color: rgb(36, 77, 45);"> 
            FEEDBACK!
        </h1>
        <div class="container">
            <div class="row">
                <div class="col-md-7 col-sm-12 justify-content-space between" style="margin-bottom: 2rem;"> 
                    <img src="{% static 'Feedback-bro.svg'%}" style="width: 550px; height: 550px; margin-top: 50px">
                </div>
                <div class="col-md-5 col-sm-12" style="margin-top: 100px;">
                    <form class="form" action="" method="POST">
                        {% csrf_token %}
                        <div class="inputfield">
                            <label>Judul: </label>
                            <label>{{form.title}}</label>
                        </div>
                        <div class="inputfield">
                            <label>Pesan: </label>
                            <div>
                                <label>{{form.pesan}}</label>
                            </div>
                        </div>
                        <input type="submit" value="submit">
                    </form>
                </div>
            </div>
        </div>  
        <br>    
        </section>
    </div>
    
</body>



<script type="text/javascript" src="{% static 'load.js' %}"> </script>
<style>
    @import url('https://fonts.googleapis.com/css2?family=Sora:wght@100;300;400;800&display=swap');
    * {
        font-family: 'Sora', sans-serif;
    }

    /* --------- Fitur ZonaHijau --------- */
    .fitur {
        background: rgb(44, 73, 51);
        width: 14rem;
        height: 18rem;
        margin: 5rem
    }
    /* --------- Data Covid Indonesia --------- */
    .card-1 {
        background: #277066;
        font-family: 'Sora', sans-serif;
        font-weight: 800;
        text-align: center;
        position: relative;
        border-radius: 10%;
        width: 11rem;
        height: 8rem;
        padding-top: 2rem;
        margin: 1rem;
        box-shadow: 10px 10px 5px #36998c;;
    }

    /* --------- Data Covid Provinsi --------- */
    .box {
        box-shadow: 10px 10px 5px #308a7e;
        background: #f4f4f4;
        border-radius: 10%;
        font-family: 'Sora', sans-serif;
        font-weight: bold;
        text-align: center;
        position: relative;
        width: 13rem;
        height: 14rem;
        padding-top: 2rem;
        margin: 2rem;
    }

    .card-text {
        margin-top: 1rem;
    }

    .card-title {
        font-weight: 800;
    }

    #load {
        width: 10rem;
        height: 3rem;
        border-radius: 15px;
        background-color: rgb(42, 70, 45);
        color: white;
        font-weight: bold;
    }

    /* Form */
    .inputfield {
        width: 50px; 
        outline: none;
        font-size: 20px;
        font-weight: 800;
        padding: 1px 1px;
        border-radius: 70px; 
        align-items: center;
    }

    input[type=submit] {
        width: 10rem;
        height: 3rem;
        border-radius: 15px;
        background-color: rgb(42, 70, 45);
        color: white;
        font-weight: bold;
    }

    
</style>
